Bug 144206 - setsysfont kills TV out modes on some cards
setsysfont kills TV out modes on some cards
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Depends On:
  Show dependency treegraph
Reported: 2005-01-04 20:48 EST by Jonathan Andrews
Modified: 2015-01-04 17:14 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-02 20:56:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jonathan Andrews 2005-01-04 20:48:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
setsysfont turns the display black when connected with TV only
connection on ATI cards and others.

via epia including the epia800 and M1000 boards also fail in a similar

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
TV only modes are produced when only TV hardware is present on ATI
chipsits, so to reproduce connect only the TV output of an ATI card
then boot core1,2 or 3

Additional info:

All redhat versions effected in the same way. Its worth fixing as the
framebuf X mode works for tv out if setsysfont is excluded.
Comment 1 Bill Nottingham 2005-01-04 22:03:16 EST
setsysfont merely calls the kbd tools. CCing kbd maintainer.

Assigning kernel-wise to see why loading the font blanks the display -
smells like a fbcon bug. 
Comment 2 Dave Jones 2005-07-15 14:34:52 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 3 Dave Jones 2005-10-02 20:56:10 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.